> ## Name

> cgGetParameterColumns - get number of parameter columns

> ## Synopsis

>     #include <Cg/cg.h>

>     int cgGetParameterColumns( CGparameter param );

> ## Parameters

> param
>   The parameter.

> ## Return Values

> Returns the number of columns associated with the type if param is a numeric type or an array of numeric types.

> Returns 0 otherwise.

> ## Description

> cgGetParameterColumns return the number of columns associated with the given parameter's type.

> If param is an array, the number of columns associated with each element of the array is returned.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGetParameterColumns was introduced in Cg 1.4.

> ## See Also

> cgGetParameterType, cgGetParameterRows